Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.85
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.asn1.ess
Class ESSCertIDv2

    java.lang.Object
      org.bouncycastle.asn1.ASN1Object
          org.bouncycastle.asn1.ess.ESSCertIDv2

All Implemented Interfaces:
  ASN1Encodable, Encodable

public class ESSCertIDv2
extends ASN1Object

Constructor Summary
`ESSCertIDv2(AlgorithmIdentifier hashAlgorithm, ASN1OctetString certHash, IssuerSerial issuerSerial)`
`ESSCertIDv2(AlgorithmIdentifier algId, byte[] certHash)`
`ESSCertIDv2(AlgorithmIdentifier algId, byte[] certHash, IssuerSerial issuerSerial)`
`ESSCertIDv2(byte[] certHash)`
`ESSCertIDv2(byte[] certHash, IssuerSerial issuerSerial)`

Method Summary
`static ESSCertIDv2` | `from(ESSCertID essCertID)`
`byte[]` | `getCertHash()`
`ASN1OctetString` | `getCertHashObject()`
`AlgorithmIdentifier` | `getHashAlgorithm()`
`static ESSCertIDv2` | `getInstance(java.lang.Object o)`
`IssuerSerial` | `getIssuerSerial()`
`ASN1Primitive` | `toASN1Primitive()` ESSCertIDv2 ::= SEQUENCE { hashAlgorithm AlgorithmIdentifier DEFAULT {algorithm id-sha256}, certHash Hash, issuerSerial IssuerSerial OPTIONAL } Hash ::= OCTET STRING IssuerSerial ::= SEQUENCE { issuer GeneralNames, serialNumber CertificateSerialNumber }

Methods inherited from class org.bouncycastle.asn1.ASN1Object
`encodeTo, encodeTo, equals, getEncoded, getEncoded, hasEncodedTagValue, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ESSCertIDv2

    public ESSCertIDv2(byte[] certHash)

### ESSCertIDv2

    public ESSCertIDv2(AlgorithmIdentifier algId,
                       byte[] certHash)

### ESSCertIDv2

    public ESSCertIDv2(byte[] certHash,
                       IssuerSerial issuerSerial)

### ESSCertIDv2

    public ESSCertIDv2(AlgorithmIdentifier algId,
                       byte[] certHash,
                       IssuerSerial issuerSerial)

### ESSCertIDv2

    public ESSCertIDv2(AlgorithmIdentifier hashAlgorithm,
                       ASN1OctetString certHash,
                       IssuerSerial issuerSerial)

Method Detail

### from

    public static ESSCertIDv2 from(ESSCertID essCertID)

### getInstance

    public static ESSCertIDv2 getInstance(java.lang.Object o)

### getHashAlgorithm

    public AlgorithmIdentifier getHashAlgorithm()

### getCertHashObject

    public ASN1OctetString getCertHashObject()

### getCertHash

    public byte[] getCertHash()

### getIssuerSerial

    public IssuerSerial getIssuerSerial()

### toASN1Primitive

    public ASN1Primitive toASN1Primitive()

  ESSCertIDv2 ::= SEQUENCE { hashAlgorithm AlgorithmIdentifier DEFAULT {algorithm id-sha256}, certHash Hash, issuerSerial IssuerSerial OPTIONAL } Hash ::= OCTET STRING IssuerSerial ::= SEQUENCE { issuer GeneralNames, serialNumber CertificateSerialNumber }

  Specified by:
    `toASN1Primitive` in interface `ASN1Encodable`
  Specified by:
    `toASN1Primitive` in class `ASN1Object`
  Returns:
    a primitive representation of this object.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.85
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD